<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: Report Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_report-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Report Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="report_8h_source.html">report.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Report:</div>
<div class="dyncontent">
<div class="center"><img src="class_report__inherit__graph.png" border="0" usemap="#a_report_inherit__map" alt="Inheritance graph"/></div>
<map name="a_report_inherit__map" id="a_report_inherit__map">
<area shape="rect" title=" " alt="" coords="5,123,147,299"/>
<area shape="rect" title=" " alt="" coords="44,5,108,75"/>
<area shape="poly" title=" " alt="" coords="79,90,79,123,73,123,73,90"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for Report:</div>
<div class="dyncontent">
<div class="center"><img src="class_report__coll__graph.png" border="0" usemap="#a_report_coll__map" alt="Collaboration graph"/></div>
<map name="a_report_coll__map" id="a_report_coll__map">
<area shape="rect" title=" " alt="" coords="5,123,147,299"/>
<area shape="rect" title=" " alt="" coords="44,5,108,75"/>
<area shape="poly" title=" " alt="" coords="79,90,79,123,73,123,73,90"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-slots" name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a8e66a8487f5dcecddc58f03e2e6e15bc" id="r_a8e66a8487f5dcecddc58f03e2e6e15bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8e66a8487f5dcecddc58f03e2e6e15bc">saveToPdf</a> (const QString &amp;fileName)</td></tr>
<tr class="separator:a8e66a8487f5dcecddc58f03e2e6e15bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a819e8cfc49be6c9359ea26272d290266" id="r_a819e8cfc49be6c9359ea26272d290266"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a819e8cfc49be6c9359ea26272d290266">Report</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:a819e8cfc49be6c9359ea26272d290266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadb11eb869cbac155a1a63e206ca84f6" id="r_aadb11eb869cbac155a1a63e206ca84f6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aadb11eb869cbac155a1a63e206ca84f6">setTargetWidget</a> (QWidget *widget)</td></tr>
<tr class="separator:aadb11eb869cbac155a1a63e206ca84f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa379f37ece9f1d1379bc28fe403838cc" id="r_aa379f37ece9f1d1379bc28fe403838cc"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa379f37ece9f1d1379bc28fe403838cc">getTargetWidget</a> () const</td></tr>
<tr class="separator:aa379f37ece9f1d1379bc28fe403838cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae4b3b6df9aafdabad29b4325614dfef3" id="r_ae4b3b6df9aafdabad29b4325614dfef3"><td class="memItemLeft" align="right" valign="top">QPixmap&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae4b3b6df9aafdabad29b4325614dfef3">grabWidgetPixmap</a> () const</td></tr>
<tr class="separator:ae4b3b6df9aafdabad29b4325614dfef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a93b76e58aa4aef7de27358d2e074b" id="r_aa7a93b76e58aa4aef7de27358d2e074b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa7a93b76e58aa4aef7de27358d2e074b">paintToPdf</a> (QPainter &amp;painter)</td></tr>
<tr class="separator:aa7a93b76e58aa4aef7de27358d2e074b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8f62e66b7dc66e1498c2baafb55e0f96" id="r_a8f62e66b7dc66e1498c2baafb55e0f96"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8f62e66b7dc66e1498c2baafb55e0f96">targetWidget</a></td></tr>
<tr class="separator:a8f62e66b7dc66e1498c2baafb55e0f96"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a819e8cfc49be6c9359ea26272d290266" name="a819e8cfc49be6c9359ea26272d290266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a819e8cfc49be6c9359ea26272d290266">&#9670;&#160;</a></span>Report()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Report::Report </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>parent</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa379f37ece9f1d1379bc28fe403838cc" name="aa379f37ece9f1d1379bc28fe403838cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa379f37ece9f1d1379bc28fe403838cc">&#9670;&#160;</a></span>getTargetWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QWidget * Report::getTargetWidget </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4b3b6df9aafdabad29b4325614dfef3" name="ae4b3b6df9aafdabad29b4325614dfef3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4b3b6df9aafdabad29b4325614dfef3">&#9670;&#160;</a></span>grabWidgetPixmap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPixmap Report::grabWidgetPixmap </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa7a93b76e58aa4aef7de27358d2e074b" name="aa7a93b76e58aa4aef7de27358d2e074b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7a93b76e58aa4aef7de27358d2e074b">&#9670;&#160;</a></span>paintToPdf()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Report::paintToPdf </td>
          <td>(</td>
          <td class="paramtype">QPainter &amp;</td>          <td class="paramname"><span class="paramname"><em>painter</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e66a8487f5dcecddc58f03e2e6e15bc" name="a8e66a8487f5dcecddc58f03e2e6e15bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e66a8487f5dcecddc58f03e2e6e15bc">&#9670;&#160;</a></span>saveToPdf</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Report::saveToPdf </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>fileName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aadb11eb869cbac155a1a63e206ca84f6" name="aadb11eb869cbac155a1a63e206ca84f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadb11eb869cbac155a1a63e206ca84f6">&#9670;&#160;</a></span>setTargetWidget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Report::setTargetWidget </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>widget</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8f62e66b7dc66e1498c2baafb55e0f96" name="a8f62e66b7dc66e1498c2baafb55e0f96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f62e66b7dc66e1498c2baafb55e0f96">&#9670;&#160;</a></span>targetWidget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QWidget* Report::targetWidget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="report_8h_source.html">report.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="report_8cpp.html">report.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
